import { load } from '@fingerprintjs/fingerprintjs'

export default function getFp() {
  const storedFp = localStorage.getItem('fp')
  if (storedFp) {
    return Promise.resolve(storedFp)
  } else {
    return load()
      .then((fp) => fp.get())
      .then((res) => {
        const fp = res.visitorId
        localStorage.setItem('fp', fp)
        return fp
      })
  }
}
