import { defineAsyncComponent, defineComponent } from 'vue'
import Search from './search'

const GlobalTime = defineAsyncComponent({
  loader: () => import('./GlobalTime')
})

export default defineComponent({
  setup() {
    return () => (
      <>
        <div
          class="absolute z-20"
          style={{
            left: '50%',
            top: '4rem',
            transform: 'translate(-50%,0)'
          }}
        >
          <GlobalTime />
        </div>

        <div
          class="absolute left-1/2 -translate-x-1/2 z-20"
          style={{
            top: '12rem'
          }}
        >
          <Search />
        </div>
      </>
    )
  }
})
