import { BlockType, type Block } from './layout.types'

/**
 * 检查 block 类型
 *
 * @export
 * @param {Block} b
 * @return {*}
 */
export function checkBlock(b: Block) {
  if (!b.link) return BlockType.Widget
  if (b.link.startsWith('id:')) return BlockType.Folder
  return BlockType.Link
}
